.ml-30 {
  margin-left: 30px;
}

.setting {
  text-align: left;
  margin-top: 8px;
}

@media (max-width: 991.98px) {
  .showsidebar {
    margin-left: 0px !important;
    -webkit-transition: all 0.4sease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4sease;
    z-index: 1041;
    background: #fff;
    top: 50px;
  }
  .sidebar .sidebar-menu {
    margin-top: 5px;
    padding: 0 16px;
  }
  .header .header-left .logo img {
    width: 100px !important;
  }
}

@media (min-width: 576px) {
  .custom-div .d-sm-flex {
    display: flex !important;
  }
  .d-sm-flex {
    display: block !important;
  }
}

[data-layout="modern"] .page-wrapper::before {
  content: "";
  height: auto;
  background: #fff;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}

/* ✅ Force Fixed Column Width */
#candidateTable th,
#candidateTable td {
  white-space: nowrap !important; /* Prevent text wrapping */
  text-overflow: ellipsis;
  overflow: hidden;
}

/* ✅ Set Specific Column Widths */
#candidateTable th:nth-child(1),
#candidateTable td:nth-child(1) {
  min-width: 5px;
  max-width: 5px;
}

#candidateTable th:nth-child(2),
#candidateTable td:nth-child(2) {
  min-width: 300px;
  max-width: 300px;
}

#candidateTable th:nth-child(3),
#candidateTable td:nth-child(3) {
  min-width: 300px;
  max-width: 300px;
}

#candidateTable th:nth-child(4),
#candidateTable td:nth-child(4) {
  min-width: 300px;
  max-width: 300px;
}

#candidateTable th:nth-child(5),
#candidateTable td:nth-child(5) {
  min-width: 200px;
  max-width: 200px;
}

/* ✅ Ensure Table Container is Scrollable */
.custom-datatable-filter {
  overflow-x: auto;
  max-width: 100%;
}

.dt-length label[for="dt-length-1"] {
  margin-left: 6px; /* Apply the left margin in entries per page */
}

.dt-length {
  margin-left: 10px;
  margin-top: 3px;
}

.dt-search {
  float: right;
  margin-right: 10px;
}

.dt-info {
  margin: 8px;
}

.dt-paging {
  float: right;
}

:root div.dt-container .dt-paging .dt-paging-button.current,
:root div.dt-container .dt-paging .dt-paging-button.current:hover {
  color: #fff !important;
  background: #f26522 !important;
  border-radius: 25px !important;
  border-color: #f26522 !important;
}

.dt-paging-button {
  color: #fff !important;
}

div.dt-container .dt-paging .dt-paging-button:hover {
  color: white !important;
  border: 1px solid #111;
  background-color: #111;
  background: #f26522 !important;
  border-color: #f26522 !important;
  border-radius: 20px;
}

.dt-layout-row > .dt-layout-start {
  margin-left: 10px;
}

.select2-container--default.select2-container--focus
  .select2-selection--multiple {
  border-color: #e5e7eb !important;
}

.select2-container--default
  .select2-results__option--highlighted[aria-selected] {
  background: #f26522;
}

.dropdown .dropdown-toggle.show {
  color: #000;
}

.custom-drop-down {
  position: absolute;
  background: white;
  width: 96%;
  border-radius: 5px;
  border: 1px solid #e8e8e8;
  z-index: 1;
  margin-top: 1px;
}

.custom-drop-down > ul > li:hover {
  background-color: #f26522;
  color: white;
  cursor: pointer;
}

.hide {
  display: none;
}

.show {
  display: block;
}

.cs-spinner {
  position: absolute;
  right: 30px;
  top: 61px;
  z-index: 99;
}

.mbm-12 {
  margin-bottom: -15px;
}

.custom-functionselect {
  border: 1px solid #aaa;
  line-height: 1.5 !important; /* Only if needed */
}

.select2-container .select2-search--inline .select2-search__field {
  height: 23px !important;
}

.keyword_field_custom_height {
  height: 100px !important;
}

/* My work */

.total-count {
  margin-top: 20px; /* Adds space above the p tag */
}

.left-spacing {
  margin-right: 150px;
}

.modal-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.4);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
}

.modal-box {
  background: #fff;
  padding: 24px;
  border-radius: 8px;
  width: 400px;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.25);
}

.select2-container--default .select2-selection--single {
  height: 35px !important;
  padding: 0.5rem 1rem;
  border: 1px solid #ccc;
  border-radius: 0.375rem;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  color: #444;
  line-height: 20px !important;
}
.select2-container .select2-selection--single .select2-selection__rendered {
  display: block;
  padding-left: 0px !important;
  padding-right: 20px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  height: 26px;
  position: absolute;
  top: 1px;
  right: 1px;
  width: 20px;
  display: none !important;
}
.form-control {
  border-color: #aaa;
  color: #757575;
  background-color: #ffffff;
  font-size: 100%;
  font-weight: 400;
  line-height: 27px;
  border-radius: 4px;
  height: 34px;
  transition: all 0.5s;
  border: 1px solid #aaa;
  padding-left: 7px;
}

.form-control,
.form-select {
  height: 38px;
  min-height: 38px;
  padding: 6px 12px;
  font-size: 14px;
}

input[type="date"].form-control {
  height: 38px;
  padding: 6px 12px;
}

input[type="file"].form-control {
  height: 38px;
  padding: 6px 12px;
}

.form-label {
  font-size: 13px;
  margin-bottom: 4px;
  white-space: nowrap;
}

.css-1wy0on6 {
  display: none !important;
}

.hide {
  display: none !important;
}
.is-invalid {
  border-color: red;
}

#global-loader {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999999;
  width: 100%;
  height: 100%;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column !important;
}

.fs-xxx-large {
  font-size: xxx-large !important;
}

.fs-35 {
  font-size: 35px !important;
}

.card .my-card-body {
  padding: 10px !important;
}

/* Force arrow to show in multiple select2 */
.select2-container--default.select2-container--focus
  .select2-selection--multiple,
.select2-container--default .select2-selection--multiple {
  position: relative;
  padding-right: 24px; /* space for the arrow */
}

.select2-container--default .select2-selection--multiple::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 8px;
  width: 0;
  height: 0;
  pointer-events: none;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid #888;
  transform: translateY(-50%);
}

.select2-container--default .select2-selection--multiple {
  background-color: white;
  border: 1px solid #e5e7eb !important;
  border-radius: 4px;
  cursor: text;
  padding-bottom: 11px !important;
  padding-right: 5px;
  position: relative;
}

#client td,
#client th {
  white-space: nowrap;
}

.dt-search {
  position: inherit; /* or absolute if needed */
  z-index: 1001; /* higher than fixed columns overlays */
}

.dt-info {
  position: absolute;
}

.dt-buttons {
  z-index: 1002;
  position: absolute !important;
  margin: 3px 0px 0px 8px;
  padding: 2px 0px 0px 2px;
}

.dt-button {
  background: none !important;
}

#customButtonsContainer {
  margin-bottom: 5px;
}

#select-client
  + .select2-container--default
  .select2-selection--multiple::after {
  display: none !important;
}

.card-bg-02::before {
  content: "";
  background-image: url(/assets/img/bg/card-bg-03.png);
  background-repeat: no-repeat;
  background-position: top;
  position: absolute;
  border-radius: 5px;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 116px;
  background-size: cover;
}

.ribbone span {
  position: absolute;
  display: block;
  width: 220px;
  padding: 5px 0 !important;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  color: #fff;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  text-transform: capitalize;
  text-align: center;
  font-size: 14px !important;
}

.nav-justified .nav-item,
.nav-justified > .nav-link {
  flex-basis: fit-content;
  flex-grow: 1;
  text-align: center;
}

.my-card-body {
  padding: 0.5rem !important;
}

.bg-gray {
  background-color: #6b7280 !important;
  border: 1px solid #423030 !important;
  color: #fff;
}

table.datatable th:nth-child(1),
table.datatable td:nth-child(1) {
  width: 150px !important;
  min-width: 250px !important;
  max-width: 250px !important;
  white-space: nowrap;
  text-wrap-mode: wrap;
}

table.datatable th:nth-child(2),
table.datatable td:nth-child(2) {
  width: 150px !important;
  min-width: 150px !important;
  max-width: 150px !important;
  white-space: nowrap;
  text-wrap-mode: wrap;
}

table.datatable th:nth-child(4),
table.datatable td:nth-child(4) {
  width: 150px !important;
  min-width: 150px !important;
  max-width: 150px !important;
  white-space: nowrap;
  text-wrap-mode: wrap;
}

.bookmark-sideleft-ribbone-purple-left {
  position: absolute;
  inset-block-start: 10px;
  color: #fff;
}

.bookmark-sideleft-ribbone-purple-left span {
  position: relative;
  display: block;
  text-align: center;
  background: #673ab7;
  font-size: 11px;
  padding: 5px 13px;
  z-index: 6;
  height: 26px;
}

.bookmark-sideleft-ribbone-purple-left:after {
  position: absolute;
  content: "";
  width: 0;
  height: 0;
  z-index: 6;
  inset-block-start: 0;
  inset-inline-end: -8px;
  border-block-start: 13px solid #673ab7;
  border-block-end: 13px solid #673ab7;
  border-inline-end: 8px solid transparent;
}

#add_client .modal-md {
  max-width: 60% !important;
}

#export-layout {
  overflow: visible !important;
  height: auto !important;
}

.select2 {
  width: 100%;
  margin-top: 13px;
  padding: 0;
}

.no-highlight-dropdown .select2-results__option--highlighted {
  background-color: transparent !important;
  color: inherit !important;
}

.no-highlight-dropdown .select2-results__option--selected {
  background-color: transparent !important;
}

.select2-dropdown .select2-results__option:hover {
  background-color: #f26522 !important;
  color: white !important;
}

.select2-container--default .select2-results__option--selectable {
  background-color: transparent !important;
  color: #6b7280 !important;
}

.role_manager_button {
  display: inline-flex;
  flex-direction: row;
  align-content: center;
  align-items: center;
  min-height: 60px !important;
  max-height: 60px !important;
  min-width: 170px;
  max-width: 170px;
}

.role_manager_pic {
  width: 25%;
  border-radius: 60%;
  padding-right: 7px;
}

.my-d-flex {
  display: flex !important
;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
}

.my-icon {
  font-size: 13px;
  width: 1.313rem;
  height: 1.313rem;
  padding: 0;
}

.progress {
  width: 100%;
}
.my-custom-input-group-text {
  min-height: 34px !important;
}

.input-group-custom-comp {
  width: 75% !important;
}

.radiusBorder-o {
  border-radius: 0 !important;
}

.avatar.active:before,
.avatar.inactive:before,
.avatar.idle:before {
  position: absolute;
  content: "";
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  inset-inline-end: 0;
  inset-block-end: 0;
  border: 2px solid #fff !important;
  z-index: 1;
}
.avatar.active:before {
  background-color: #03c95a;
}
.avatar.inactive:before {
  background-color: #ec2424;
}
.avatar.idle:before {
  background-color: #f4d62a;
}
.avatar.avatar-sm.active:before,
.avatar.avatar-sm.inactive:before,
.avatar.avatar-sm.idle:before {
  width: 0.5rem;
  height: 0.5rem;
}
.avatar.avatar-md.active:before,
.avatar.avatar-md.inactive:before,
.avatar.avatar-md.idle:before {
  width: 0.75rem;
  height: 0.75rem;
}
.avatar.avatar-lg.active:before,
.avatar.avatar-lg.inavtive:before,
.avatar.avatar-lg.idle:before {
  width: 0.8rem;
  height: 0.8rem;
}
.avatar.avatar-xl.active:before,
.avatar.avatar-xl.inactive:before,
.avatar.avatar-xl.idle:before {
  width: 0.95rem;
  height: 0.95rem;
}
.avatar.avatar-xxl.active:before,
.avatar.avatar-xxl.inactive:before,
.avatar.avatar-xxl.idle:before {
  width: 1.05rem;
  height: 1.05rem;
  inset-block-end: 0.25rem;
}
.avatar.avatar-xxxl.active:before,
.avatar.avatar-xxxl.inactive:before,
.avatar.avatar-xxxl.idle:before {
  width: 1.05rem;
  height: 1.05rem;
  inset-block-end: 0.25rem;
}
.avatar.avatar-xl.border.active::before,
.avatar.avatar-xl.border.inactive::before,
.avatar.avatar-xl.border.idle::before {
  width: 14px;
  height: 14px;
  inset-inline-end: 0px;
}
[data-theme="dark"] .avatar.active:before,
[data-theme="dark"] .avatar.inactive:before,
[data-theme="dark"] .avatar.idle:before {
  border-color: #0d0d0d !important;
}

.myInput-130px {
  width: 130px !important;
}

/* Newspaper effect animation */
@keyframes newspaper {
  from {
    transform: scale(0) rotate(720deg);
    opacity: 0;
  }
  to {
    transform: scale(1) rotate(0deg);
    opacity: 1;
  }
}

.effect-newspaper .modal-dialog {
  animation: newspaper 0.6s ease-out forwards;
  transform-origin: center;
}

.add_client_modal {
  width: 800px !important;
  max-width: 800px !important;
}

.my-custom-client-logo-box {
  background: white;
  border: 1px solid darkgrey;
  width: 5.625rem !important;
  height: 5.625rem !important;
}

.client-logo {
  width: auto !important;
  height: auto !important;
}

.mini-sidebar .showsidebar .active.subdrop ~ ul {
  display: block !important;
}

.cursor-pointer {
  cursor: pointer;
}

@keyframes blink {
  0%,
  50%,
  100% {
    opacity: 1;
  }
  25%,
  75% {
    opacity: 0;
  }
}

button.select2-selection__clear {
    display: none;
}

.div-focus:hover {
  background: #f8f9fa;
  cursor:pointer;
}

.div-focus-border:hover {
  border: 0.1px solid #000;
  cursor:pointer;
}

.custom-progress {
  height: 30px; /* thickness */
  position: relative;
  border-radius: 10px;
}

.custom-progress .progress-bar {
  display: flex;
  justify-content: flex-end !important; /* move label to end */
  align-items: center;
  padding-right: 8px; /* space from edge */
  font-weight: 600;
  font-size: 13px;
  flex-direction: row;
}

.radiusBorder-45 {
  border-radius: 45px !important;
}

.pricing-content .price-hdr::after {
    content: "";
    width: 0%;
    height: 1px;
    background: #e5e7eb;
}

.chip {
  width: auto;
  display: flex;
    padding: 0 22px;
    height: 37px;
    font-size: 12px;
    line-height: 38px;
    border-radius: 41px;
    background-color: #f1f1f1;
    cursor:pointer
}

.chip-closebtn {
  padding-left: 7px;
  color: #fff;
  font-weight: bold;
  float: right;
  font-size: 20px;
  cursor: pointer;
}

.chip-closebtn:hover {
  color: #000;
}

.fs-12{
  font-size: 0.75rem !important;
}

/* Container */
.react-select__control {
  width: 150px;
  text-align: center;
  min-height: 30px !important;
  height: auto;
  border: 1px solid #ced4da;
  border-radius: 0.375rem;
  font-size: 12px;
  padding: 0 0.25rem;
}

/* Match btn btn-sm */
.react-select__control--is-focused {
  box-shadow: none;
  border-color: #86b7fe;
}

/* Dropdown arrow */
.react-select__indicator {
  padding: 4px;
}

/* Placeholder text */
.react-select__placeholder {
  font-size: 12px;
  color: #6c757d;
}

/* Selected values */
.react-select__multi-value {
  background-color: #0d6efd;
  color: white;
  font-size: 11px;
}

.react-select__multi-value__label {
  color: white;
}

.react-select__multi-value__remove {
  color: white;
  cursor: pointer;
}

/* Dropdown menu */
.react-select__menu {
  font-size: 9px;
  z-index: 1055;
}

.accordion-button .arrow-icon {
  transition: transform 0.2s ease;
}

.accordion-button .arrow-icon1 {
  transition: transform 0.2s ease;
}

.accordion-button:not(.collapsed) .arrow-icon {
  transform: rotate(90deg);
}

.accordion-button:not(.collapsed) .arrow-icon1 {
  transform: rotate(90deg);
}


.twitter-bs-wizard-nav {
  position: relative;
}

.twitter-bs-wizard-nav .nav-item {
  position: relative;
}

.twitter-bs-wizard-nav .nav-item::after {
  content: "";
  position: absolute;
  top: 50%;
  right: -46%;
  width: 42%;
  height: 2px;
  background-color: #000;
  z-index: 0;
}

.twitter-bs-wizard-nav .nav-item:last-child::after {
  display: none;
}

.form-control.is-invalid, .was-validated .form-control:invalid
 {
    border-color: var(--bs-form-invalid-border-color);
    padding-right: calc(1.5em + .75rem);
    background-image: none !important;
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

/* Secondary */
.text-secondary.text-opacity-75 {
  color: rgba(59, 112, 128, 0.75) !important;
}
.text-secondary.text-opacity-50 {
  color: rgba(59, 112, 128, 0.5) !important;
}
.text-secondary.text-opacity-25 {
  color: rgba(59, 112, 128, 0.25) !important;
}

/* Warning */
.text-warning.text-opacity-75 {
  color: rgba(255, 193, 7, 0.75) !important;
}
.text-warning.text-opacity-50 {
  color: rgba(255, 193, 7, 0.5) !important;
}
.text-warning.text-opacity-25 {
  color: rgba(255, 193, 7, 0.25) !important;
}

/* Info */
.text-info.text-opacity-75 {
  color: rgba(27, 132, 255, 0.75) !important;
}
.text-info.text-opacity-50 {
  color: rgba(27, 132, 255, 0.5) !important;
}
.text-info.text-opacity-25 {
  color: rgba(27, 132, 255, 0.25) !important;
}

/* Success */
.text-success.text-opacity-75 {
  color: rgba(3, 201, 90, 0.75) !important;
}
.text-success.text-opacity-50 {
  color: rgba(3, 201, 90, 0.5) !important;
}
.text-success.text-opacity-25 {
  color: rgba(3, 201, 90, 0.25) !important;
}

/* Danger */
.text-danger.text-opacity-75 {
  color: rgba(231, 13, 13, 0.75) !important;
}
.text-danger.text-opacity-50 {
  color: rgba(231, 13, 13, 0.5) !important;
}
.text-danger.text-opacity-25 {
  color: rgba(231, 13, 13, 0.25) !important;
}

.lead_dashboard_reminder {
  max-height: 335px;
    min-height: auto;
    overflow: hidden;
    overflow-y: auto;
}

.pipeline_contact_list {
  max-height: 165px;
    min-height: auto;
    overflow: hidden;
    overflow-y: auto;
}

.latest-div:hover {
    background: #f6f6f6;
    border-radius: 10px;
}

.opportunities-scroll{
    max-height: 362px;
    overflow-y: auto;
}